> ## Documentation Index
> Fetch the complete documentation index at: https://lemlist-feat-add-assistant-to-contextual-options.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves companies from your CRM. Use `idsOrDomains` to fetch specific companies by ID or domain in a single request (max 100), or omit it to get a paginated list of all companies.

# Get Many Companies

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="Company" objectPath="company" />


## OpenAPI

````yaml get /companies
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /companies:
    get:
      tags:
        - Companies
      summary: Get Many Companies
      parameters:
        - name: idsOrDomains
          in: query
          required: false
          description: >-
            Comma-separated list of company IDs or domains to fetch. When
            provided, returns only matching companies (no pagination). Each
            value is classified as a company ID (e.g. `cpn_xxx`) or a domain
            (e.g. `example.com`). URLs are normalized automatically (e.g.
            `https://example.com/path` → `example.com`). Invalid values are
            silently skipped. Maximum 100 values.
          example: cpn_gG7PsmZFpEAnpMCHO,persana.ai
          schema:
            type: string
        - name: page
          in: query
          required: false
          description: Page number to retrieve. Ignored when `idsOrDomains` is provided.
          example: '1'
          schema:
            type: integer
        - name: sortBy
          in: query
          required: false
          description: >-
            The field by which to sort. Currently, only 'createdAt' is
            supported.
          example: createdAt
          schema:
            type: string
            enum:
              - createdAt
        - name: sortOrder
          in: query
          required: false
          description: >-
            The sort direction. Use 'desc' for descending order; any other value
            (or omission) will sort in ascending order.
          example: desc
          schema:
            type: string
            enum:
              - asc
              - desc
        - name: search
          in: query
          required: false
          description: Search by company name (case insensitive)
          example: lemlist
          schema:
            type: string
        - name: fields
          in: query
          required: false
          description: >-
            Returns selected fields. Returns all fields if empty. Each field is
            separated by a comma (e.g., '_id,fields.name,domain')
          example: _id,fields.name,domain
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: 'Number of companies to retrieve. Default: 100. Maximum: 100'
          example: '10'
          schema:
            type: integer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Company'
                  total:
                    type: integer
                required:
                  - data
                  - total
              example:
                data:
                  - _id: cpn_gG7PsmZFpEAnpMCHO
                    createdAt: '2025-10-26T11:54:27.387Z'
                    createdBy: usr_iGBmhLaxZmL0s7k1G
                    domain: persana.ai
                    fields:
                      name: Persana AI
                      picture: https://example.com/logos/company-1.png
                    ownerId: usr_iGBmhLaxZmL0s7k1G
                  - _id: cpn_FEWCjzMWXo5StjpDa
                    createdAt: '2025-10-26T11:45:18.773Z'
                    createdBy: usr_iGBmhLaxZmL0s7k1G
                    domain: duno.ai
                    fields:
                      industry: IT Services and IT Consulting
                      name: Duno.ai
                      picture: https://example.com/logos/company-2.png
                    ownerId: usr_iGBmhLaxZmL0s7k1G
                  - _id: cpn_2STz8x5Bexmd0nvIz
                    createdAt: '2025-10-25T21:37:45.741Z'
                    createdBy: usr_iGBmhLaxZmL0s7k1G
                    domain: tally.so
                    fields:
                      industry: Computer Software
                      name: lemlist family
                      picture: https://example.com/logos/lemlist.png
                    ownerId: usr_iGBmhLaxZmL0s7k1G
                  - _id: cpn_Qf4CJuUrNUNmHm6uZ
                    createdAt: '2025-10-24T07:26:34.956Z'
                    createdBy: usr_ahfFktBBHUIxbVG5P
                    domain: example.com
                    fields:
                      name: Growth & GTM Engineering
                    ownerId: usr_ahfFktBBHUIxbVG5P
                total: 59310
        '400':
          description: Bad team
          content:
            text/plain:
              example: Bad team
        '401':
          description: The authentication you supplied is incorrect
          content:
            text/plain:
              example: The authentication you supplied is incorrect
        '405':
          description: Method not allowed
components:
  schemas:
    Company:
      type: object
      description: An organization record in your CRM.
      properties:
        _id:
          type: string
          description: Unique company identifier
        name:
          type: string
          description: Company name (may also be present under fields.name)
        domain:
          type: string
          description: Website domain
        industry:
          type: string
          description: Industry sector
        size:
          type: string
          description: Company size
        location:
          type: string
          description: Geographic location
        fields:
          type: object
          description: >-
            Flexible key/value fields of the company (e.g., name, picture,
            industry, location, size, foundedOn)
          additionalProperties: true
        createdBy:
          type: string
          description: User ID who created the company
        ownerId:
          type: string
          description: User ID of the owner of the company
        createdAt:
          type: string
          format: date-time
          description: Creation timestamp
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````